COMM(1)

NUME
comm - compară două fișiere sortate linie cu linie

SINOPSIS
comm [OPȚIUNE]... FIȘIER1 FIȘIER2

DESCRIERE

Compară fișierele sortate FIȘIER1 și FIȘIER2 linie cu linie.

Când FIȘIER1 sau FIȘIER2 (nu amândouă) este „-”, citește intrarea standard.

Fără opțiuni, produce o ieșire pe trei coloane. Coloana unu conține liniile unice din FIȘIER1, coloana a doua conține liniile unice din FIȘIER2, iar coloana a treia conține liniile comune ambelor fișiere.

-1  suprimă coloana 1 (liniile unice din FIȘIER1)

-2  suprimă coloana 2 (liniile unice din FIȘIER2)

-3  suprimă coloana 3 (liniile ce apar în ambele fișiere)

--check-order
    verifică dacă intrarea este sortată corect, chiar dacă toate liniile de intrare sunt împerecheabile

--nocheck-order
    nu verifică dacă intrarea este sortată corect

--output-delimiter=ȘIR
    separă coloanele cu ȘIR

--total
    afișează un rezumat

-z, --zero-terminated
    delimitatorul de linie este NUL, nu linie nouă

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Comparările respectă regulile specificate de „LC_COLLATE”.

EXEMPLE

comm -12 fișier1 fișier2
    Imprimă numai liniile prezente atât în fișierul 1, cât și în fișierul 2.

comm -3 fișier1 fișier2
    Imprimă liniile din fișier1 ce nu sunt în fișier2, și viceversa.

AUTOR
Scris de Richard M. Stallman și David MacKenzie.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
join(1), uniq(1)

Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/comm>
sau local rulând comanda: «info '(coreutils) comm invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.